Gentoo Archives: gentoo-commits

From: Thomas Deutschmann <whissi@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/botocore/
Date: Fri, 14 Feb 2020 15:15:46
Message-Id: 1581693039.23d11354c3c990fcbb6b22a2404e9172de2eee81.whissi@gentoo
commit:     23d11354c3c990fcbb6b22a2404e9172de2eee81
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 14 15:10:39 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Fri Feb 14 15:10:39 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=23d11354

dev-python/botocore: bump to v1.14.17

Package-Manager: Portage-2.3.88, Repoman-2.3.20
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 dev-python/botocore/Manifest                |  1 +
 dev-python/botocore/botocore-1.14.17.ebuild | 59 +++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index c2412048cfc..8420f6d184e 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,4 +1,5 @@
 DIST botocore-1.12.122.tar.gz 5492931 BLAKE2B 05371245cd0de404713f920d0651f9bbdcabe9508c5e27f692adc4cda7ac2f7fba24b2b95a26b788e4960b01553c1746f08b9db4f38e4629c5703fd6872893be SHA512 f92581ac6b8a46d4af8b55b391e6e75c452f83a4ffde6c940c9f85b2215a3eda44e8b2672f469769b4d9a0d7ac2823540f45c1822279b6264d016986f2b06c53
 DIST botocore-1.13.46.tar.gz 6069713 BLAKE2B 9d10fc46314f379ed384f2803d4bf43b10e73607e4f8d29a2edd0c067a3df5f2473175d70276c24939e24393d496b9875c4509ae7644b42d0899e5627c660f21 SHA512 71c60edef4f49f88a52305568f9b177ab8fbb9048203b3f7cba85dd676e4a3fc02f2ba0b07afabb6598d7e8f6d6703446325275f1fb54209e57ee51d1e3b2a8e
 DIST botocore-1.13.50.tar.gz 6076129 BLAKE2B c969ba8635970eb7613124cafa3f7d1efaeec22699857405450a5e669f19733cf3328839d8dc568b7b46d0e2c05a3a649d97805dcb50e047c455bfbb9fc32901 SHA512 8c7fb409f9d1cd47f2711cc5cd34e7459087b50cd257d4f943b475d195ac141e01c3be53194cdb045d6ccf4ea59fdb2e485899275bb3185e6e562318615ec14b
+DIST botocore-1.14.17.tar.gz 6117447 BLAKE2B 7b0e357c8b88c45f320a41cca602bec509ef0c9958b47448a8470aed81cde1cceaec975028c3793f53e9580ff34ce8df19e9d3914674eff5225b0578afe9edb5 SHA512 e3211bd27ad595c4c85144267333520bc365cfa2c7329da3ef431efacaa1e5d94777700ec248188497ef5782c00632872cbacc920c02eec2c143cecbd7154e17
 DIST botocore-1.14.7.tar.gz 6092020 BLAKE2B 925b78a9414154838b4997da90a7916036a520725a99d187139250db7de70f0ac91437d8231e2880519090fc5143efb9ac7432c78303a5d7ce04f8e91ad78cfd SHA512 743cac75b1fa9f257f7b79c32211b061b29f359a97cf256ba8c3693eedbc186a43805d507d0e5726c49ef74f9777c68b3a204347d79058a0cc4f3891fce2fcc4

diff --git a/dev-python/botocore/botocore-1.14.17.ebuild b/dev-python/botocore/botocore-1.14.17.ebuild
new file mode 100644
index 00000000000..f9ce3c85acf
--- /dev/null
+++ b/dev-python/botocore/botocore-1.14.17.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_6 python3_7 python3_8 )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3."
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+if [[ "${PV}" == "9999" ]]; then
+	EGIT_REPO_URI="https://github.com/boto/botocore"
+	inherit git-r3
+else
+	SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+	dev-python/docutils[${PYTHON_USEDEP}]
+	dev-python/jmespath[${PYTHON_USEDEP}]
+	dev-python/python-dateutil[${PYTHON_USEDEP}]
+	dev-python/urllib3[${PYTHON_USEDEP}]
+"
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	doc? (
+		dev-python/guzzle_sphinx_theme[${PYTHON_USEDEP}]
+		dev-python/sphinx[${PYTHON_USEDEP}]
+	)
+	test? (
+		${RDEPEND}
+		dev-python/mock[${PYTHON_USEDEP}]
+		dev-python/nose[${PYTHON_USEDEP}]
+		dev-python/jsonschema[${PYTHON_USEDEP}]
+	)
+"
+
+PATCHES=( "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch" )
+
+python_compile_all() {
+	use doc && emake -C docs html
+}
+
+python_test() {
+	PYTHONPATH="${BUILD_DIR}/lib" nosetests -v tests/unit || die "unit tests failed under ${EPYTHON}"
+	PYTHONPATH="${BUILD_DIR}/lib" nosetests -v tests/functional || die "functional tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( docs/build/html/. )
+
+	distutils-r1_python_install_all
+}